org.apache.tomcat.util.net

## Class NioEndpoint.SendfileData

- java.lang.Object
- - org.apache.tomcat.util.net.NioEndpoint.SendfileData

Enclosing class:
  NioEndpoint

    public static class NioEndpoint.SendfileData
    extends Object

SendfileData class.

### Field Summary

Fields
`FileChannel` `fchannel`
`String` `fileName`
`boolean` `keepAlive`
`long` `length`
`long` `pos`

### Constructor Summary

Constructors
Constructor and Description
`NioEndpoint.SendfileData()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fileName

    public String fileName

#### fchannel

    public FileChannel fchannel

#### pos

    public long pos

#### length

    public long length

#### keepAlive

    public boolean keepAlive

### Constructor Detail

#### NioEndpoint.SendfileData

    public NioEndpoint.SendfileData()